import { PolarBase } from "./PolarBase";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { Type } from "igniteui-react-core";
import { PolarBaseView } from "./PolarBaseView";
/**
 * @hidden
 */
export declare class PolarScatterSeries extends PolarBase {
    static $t: Type;
    protected get_dx(): boolean;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    y8: PolarScatterSeriesView;
    protected iq(): number;
    t4(): MarkerFillMode;
    constructor();
}
/**
 * @hidden
 */
export declare class PolarScatterSeriesView extends PolarBaseView {
    static $t: Type;
    protected c6: PolarScatterSeries;
    constructor(a: PolarScatterSeries);
    au(): void;
    protected af(): void;
}
